Unit tml03r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ML03R_p;

function tml03r: String;

implementation

function tml03r: String;
var
P,KV,M,N,_i :Integer;
EPS :Real;
NSUM :Array [0..0] of Integer;
NX :Array [0..4] of Integer;
XK :Array [0..4] of Real;
U :Array [0..24] of Real;
const
A :Array [0..9] of Real = ( 1.0,2.0,1.0,2.0,1.0,2.0,3.0,5.0,1.0,1.0 );
NS :Array [0..9] of Integer = ( 1,2,3,1,2,3,1,2,3,3 );
T :Array [0..3] of Real = ( 1.0,2.0,3.0,-1.0 );
NT :Array [0..3] of Integer = ( 3,3,3,1 );
SUM :Array [0..3] of Real = ( -4.0,-5.0,-9.0,-1.0 );
X :Array [0..4] of Real = ( 15.0,20.0,10.0,0.0,-45.0 );
ALFA :Array [0..1] of Real = ( 2.0,3.0 );
NALFA :Array [0..1] of Integer = ( 1,3 );
begin
Result := '';  {   }
KV := 2;
P := 1;
M := 5;
N := 4;
EPS := 0.01;
ML03R(A,10,U,M,T,N,SUM,NS,NT,NSUM,X,NX,P,EPS,XK,
     ALFA,KV,NALFA);
Result := Result + Format('%s',[' P=']);
Result := Result + Format('%1d ',[P]);
Result := Result + Format('%s',[#$0D#$0A + ' X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' NX=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%5d ',[NX[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' NALFA=  ']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%5d ',[NALFA[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' ALFA=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[ALFA[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tml03r',Result);  {     tml03r.res }
exit;
end;

end.
